Request
Body Params application/json
{
"search": "ngát",
"sort": "New",
"is_filter": true,
"page_id": [],
"type": "fchat",
"filter": {
"time": "",
"phone": [
"have_phone",
"no_phone"
],
"state": [
"unread",
"not_answer",
"answer",
"remind"
],
"status": [
"processing",
"unavailable"
],
"room_type": [
"message",
"post"
],
"status_customer": [
"active",
"idle",
"inactive"
],
"type_of_conversations": [],
"type": "fchat"
}
}
Request Code Samples
curl --location --request POST 'http://127.0.0.1:8000/api/rooms/search/' \
--header 'X-Auth-User-Id: 4ede4ddf-3037-11ee-ab3f-005056a30eb5' \
--header 'Content-Type: application/json' \
--data-raw '{
"search": "ngát",
"sort": "New",
"is_filter": true,
"page_id": [],
"type": "fchat",
"filter": {
"time": "",
"phone": [
"have_phone",
"no_phone"
],
"state": [
"unread",
"not_answer",
"answer",
"remind"
],
"status": [
"processing",
"unavailable"
],
"room_type": [
"message",
"post"
],
"status_customer": [
"active",
"idle",
"inactive"
],
"type_of_conversations": [],
"type": "fchat"
}
}'
Responses
application/json Modified at 2025-09-24 03:35:29